Get Flow Execution
curl --request GET \
--url https://api.hilos.io/api/flow-execution/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/flow-execution/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/flow-execution/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "PROCESSING",
"execute_for": "FILTERS",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>",
"role": "AGENT"
},
"flow": {
"id": "<string>",
"name": "<string>",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>",
"role": "AGENT"
},
"channel": {
"id": 123,
"channel_id": "<string>",
"channel_type": "WHATSAPP",
"name": "<string>",
"status": "NEW",
"created_on": "2023-11-07T05:31:56Z",
"channel_provider": "META_CLOUD_API",
"is_sandbox": true
},
"created_on": "2023-11-07T05:31:56Z",
"is_active": true,
"status": "DRAFT",
"is_legacy": true,
"flow_execution_variables": [
"<string>"
]
},
"flow_version": {
"execution_type": "INBOUND",
"flow": {
"id": "<string>",
"name": "<string>",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>",
"role": "AGENT"
},
"channel": {
"id": 123,
"channel_id": "<string>",
"channel_type": "WHATSAPP",
"name": "<string>",
"status": "NEW",
"created_on": "2023-11-07T05:31:56Z",
"channel_provider": "META_CLOUD_API",
"is_sandbox": true
},
"created_on": "2023-11-07T05:31:56Z",
"is_active": true,
"status": "DRAFT",
"is_legacy": true,
"flow_execution_variables": [
"<string>"
]
},
"is_current_version": true,
"published_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>",
"role": "AGENT"
},
"last_updated_on": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_name": "<string>",
"version_description": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"num_contacts": 1073741823,
"completed": 1073741823,
"expired": 1073741823,
"running": 1073741823,
"canceled": 1073741823,
"failed": 1073741823,
"avg_completion_time": "<string>"
},
"execution_type": "INBOUND",
"last_run_on": "<string>",
"inbound_trigger_with": "ANY_MESSAGE",
"inbound_start_message": "<string>",
"inbound_start_message_match_exact": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_priority": true,
"flow_execution_variables": {},
"start_on": "2023-11-07T05:31:56Z",
"num_contacts": 1073741823,
"expired": 1073741823,
"running": 1073741823,
"completed": 1073741823,
"canceled": 1073741823,
"failed": 1073741823,
"created_on": "2023-11-07T05:31:56Z",
"avg_completion_time": "<string>",
"contact_filters": [
{
"field": "<string>",
"comparison": "exact",
"value": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Flow Execution
Get an specific flow execution
Get Flow Execution by Id.
GET
/
api
/
flow-execution
/
{id}
Get Flow Execution
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
A Flow Execution Id to retrive.
Response
200 - application/json
The status of the Flow Execution.
Available options:
PROCESSING, READY, AWAITING_CONFIRMATION, CONFIRMED, STARTING, RUNNING, COMPLETED, CANCELED, PAUSED Available options:
FILTERS, LIST, ALL The User that created the Flow Execution.
Show child attributes
Show child attributes
The Flow that the Flow Execution is running.
Show child attributes
Show child attributes
The Flow Version that the Flow Execution is running.
Show child attributes
Show child attributes
Available options:
INBOUND, OUTBOUND, API, FROM_FLOW The last time that the Flow Execution was run.
Available options:
ANY_MESSAGE, TEXT, IMAGE, FILE Show child attributes
Show child attributes
Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647The filters to use to get the Contacts that the Flow Execution will run for. This field isn't required if executing the flow for a Contact List
Show child attributes
Show child attributes
Was this page helpful?

